GNU Radio C++ API Reference: EyeDisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
EyeDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

EyeDisplaysForm child for managing eye pattern plots. More...

`#include <gnuradio/qtgui/eyedisplayform.h>`

## Public Slots
void | customEvent (QEvent *e) override
void | setSampleRate (const double samprate)
void | setSampleRate (const QString &samprate) override
void | setYaxis (double min, double max)
void | setYLabel (const std::string &label, const std::string &unit="")
void | setNPoints (const int)
void | autoScale (bool en) override
void | autoScaleShot ()
void | tagMenuSlot (bool en)
void | setTagMenu (unsigned int which, bool en)
void | updateTrigger (gr::qtgui::trigger_mode mode)
void | setTriggerMode (gr::qtgui::trigger_mode mode)
void | setTriggerSlope (gr::qtgui::trigger_slope slope)
void | setTriggerLevel (float level)
void | setTriggerDelay (float delay)
void | setTriggerChannel (int chan)
void | setTriggerTagKey (QString s)
void | setTriggerTagKey (const std::string &s)
void | setupControlPanel (bool en)
void | setupControlPanel ()
void | teardownControlPanel ()
Public Slots inherited from EyeDisplaysForm
void | resizeEvent (QResizeEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setSamplesPerSymbol (int64_t sps)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Signals
void | signalTriggerMode (gr::qtgui::trigger_mode mode)
void | signalTriggerSlope (gr::qtgui::trigger_slope slope)
void | signalTriggerLevel (float level)
void | signalTriggerDelay (float delay)
void | signalReplot ()
void | signalNPoints (const int npts)
Signals inherited from EyeDisplaysForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)

## Public Member Functions
| EyeDisplayForm (int nplots=1, bool cmplx=false, QWidget *parent=0)
| ~EyeDisplayForm () override
EyeDisplayPlot * | getPlot ()
EyeDisplayPlot * | getSinglePlot (unsigned int)
int | getNPoints () const
int | getSamplesPerSymbol () const
gr::qtgui::trigger_mode | getTriggerMode () const
gr::qtgui::trigger_slope | getTriggerSlope () const
float | getTriggerLevel () const
float | getTriggerDelay () const
int | getTriggerChannel () const
std::string | getTriggerTagKey () const
void | setAxisLabels (bool en)
Public Member Functions inherited from EyeDisplaysForm
| EyeDisplaysForm (int nplots=1, QWidget *parent=0)
| ~EyeDisplaysForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members
Protected Attributes inherited from EyeDisplaysForm
unsigned int | d_nplots
int | d_sps
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
std::vector< DisplayPlot * > | d_displays_plot
bool | d_system_specified_flag
std::vector< QwtPlotGrid * > | d_grids
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

EyeDisplaysForm child for managing eye pattern plots.

## Constructor & Destructor Documentation

## ◆ EyeDisplayForm()

EyeDisplayForm::EyeDisplayForm | ( | int | nplots = 1,
|  | bool | cmplx = false,
|  | QWidget * | parent = 0 )

## ◆ ~EyeDisplayForm()

EyeDisplayForm::~EyeDisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ autoScale

void EyeDisplayForm::autoScale | ( | bool | en | ) |
| overrideslot

## ◆ autoScaleShot

void EyeDisplayForm::autoScaleShot | ( |  | ) |
| slot

## ◆ customEvent

void EyeDisplayForm::customEvent | ( | QEvent * | e | ) |
| overrideslot

## ◆ getNPoints()

int EyeDisplayForm::getNPoints | ( |  | ) | const

## ◆ getPlot()

EyeDisplayPlot * EyeDisplayForm::getPlot | ( |  | ) |

## ◆ getSamplesPerSymbol()

int EyeDisplayForm::getSamplesPerSymbol | ( |  | ) | const

## ◆ getSinglePlot()

EyeDisplayPlot * EyeDisplayForm::getSinglePlot | ( | unsigned int |  | ) |

## ◆ getTriggerChannel()

int EyeDisplayForm::getTriggerChannel | ( |  | ) | const

## ◆ getTriggerDelay()

float EyeDisplayForm::getTriggerDelay | ( |  | ) | const

## ◆ getTriggerLevel()

float EyeDisplayForm::getTriggerLevel | ( |  | ) | const

## ◆ getTriggerMode()

gr::qtgui::trigger_mode EyeDisplayForm::getTriggerMode | ( |  | ) | const

## ◆ getTriggerSlope()

gr::qtgui::trigger_slope EyeDisplayForm::getTriggerSlope | ( |  | ) | const

## ◆ getTriggerTagKey()

std::string EyeDisplayForm::getTriggerTagKey | ( |  | ) | const

## ◆ setAxisLabels()

void EyeDisplayForm::setAxisLabels | ( | bool | en | ) |

## ◆ setNPoints

void EyeDisplayForm::setNPoints | ( | const int |  | ) |
| slot

## ◆ setSampleRate [1/2]

void EyeDisplayForm::setSampleRate | ( | const double | samprate | ) |
| slot

## ◆ setSampleRate [2/2]

void EyeDisplayForm::setSampleRate | ( | const QString & | samprate | ) |
| overrideslot

## ◆ setTagMenu

void EyeDisplayForm::setTagMenu | ( | unsigned int | which,
|  | bool | en )
| slot

## ◆ setTriggerChannel

void EyeDisplayForm::setTriggerChannel | ( | int | chan | ) |
| slot

## ◆ setTriggerDelay

void EyeDisplayForm::setTriggerDelay | ( | float | delay | ) |
| slot

## ◆ setTriggerLevel

void EyeDisplayForm::setTriggerLevel | ( | float | level | ) |
| slot

## ◆ setTriggerMode

void EyeDisplayForm::setTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |
| slot

## ◆ setTriggerSlope

void EyeDisplayForm::setTriggerSlope | ( | gr::qtgui::trigger_slope | slope | ) |
| slot

## ◆ setTriggerTagKey [1/2]

void EyeDisplayForm::setTriggerTagKey | ( | const std::string & | s | ) |
| slot

## ◆ setTriggerTagKey [2/2]

void EyeDisplayForm::setTriggerTagKey | ( | QString | s | ) |
| slot

## ◆ setupControlPanel [1/2]

void EyeDisplayForm::setupControlPanel | ( |  | ) |
| slot

## ◆ setupControlPanel [2/2]

void EyeDisplayForm::setupControlPanel | ( | bool | en | ) |
| slot

## ◆ setYaxis

void EyeDisplayForm::setYaxis | ( | double | min,
|  | double | max )
| slot

## ◆ setYLabel

void EyeDisplayForm::setYLabel | ( | const std::string & | label,
|  | const std::string & | unit = "" )
| slot

## ◆ signalNPoints

void EyeDisplayForm::signalNPoints | ( | const int | npts | ) |
| signal

## ◆ signalReplot

void EyeDisplayForm::signalReplot | ( |  | ) |
| signal

## ◆ signalTriggerDelay

void EyeDisplayForm::signalTriggerDelay | ( | float | delay | ) |
| signal

## ◆ signalTriggerLevel

void EyeDisplayForm::signalTriggerLevel | ( | float | level | ) |
| signal

## ◆ signalTriggerMode

void EyeDisplayForm::signalTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |
| signal

## ◆ signalTriggerSlope

void EyeDisplayForm::signalTriggerSlope | ( | gr::qtgui::trigger_slope | slope | ) |
| signal

## ◆ tagMenuSlot

void EyeDisplayForm::tagMenuSlot | ( | bool | en | ) |
| slot

## ◆ teardownControlPanel

void EyeDisplayForm::teardownControlPanel | ( |  | ) |
| slot

## ◆ updateTrigger

void EyeDisplayForm::updateTrigger | ( | gr::qtgui::trigger_mode | mode | ) |
| slot

The documentation for this class was generated from the following file:

- eyedisplayform.h